# This script is derived from the EDG script edg.csh

if (! $?LCG_SYSCONFIG) then
  set LCG_SYSCONFIG=/etc/sysconfig/lcg
endif

if ( -r "$LCG_SYSCONFIG" ) then
  set tmp=`grep ^LCG_LOCATION $LCG_SYSCONFIG| tail -1|sed 's/=/ /'`
  if ( ! -z "$LCG_SYSCONFIG" ) then
    eval setenv $tmp
  endif
endif

if (! $?LCG_LOCATION ) then
  setenv LCG_LOCATION /opt/lcg
endif

# LCG_LOCATION_VAR is only defined if in the sysconfig file.

if (! $?LCG_TMP ) then
  setenv LCG_TMP /tmp
endif


# The rest of this file sets up the variables for the LCG user environment.

# PATH

setenv PATH `echo "${PATH}" | sed -e "s%:${LCG_LOCATION}[^:]*%%g" -e "s%^${LCG_LOCATION}[^:]*:\{0,1\}%%"`

# Add $LCG_LOCATION/sbin to root's path
if (`id -u` == 0) then
  setenv PATH "${LCG_LOCATION}/sbin:$PATH"
endif

# Temporary hack: put /usr/local/bin in PATH
# setenv PATH "/usr/local/bin:${PATH}"

setenv PATH "${LCG_LOCATION}/bin:${PATH}"


# LD_LIBRARY_PATH

if ( $?LD_LIBRARY_PATH ) then
    setenv LD_LIBRARY_PATH `echo "${LD_LIBRARY_PATH}" | sed -e "s%:${LCG_LOCATION}[^:]*%%g" -e "s%^${LCG_LOCATION}[^:]*:\{0,1\}%%"`
else
    setenv LD_LIBRARY_PATH
endif

# set DELIM=
# if ( "X${LD_LIBRARY_PATH}" != "X" ) then
#     set DELIM=:
# endif

# Temporary hack: put /usr/local/lib in LD_LIBRARY_PATH
# setenv LD_LIBRARY_PATH "/usr/local/lib${DELIM}${LD_LIBRARY_PATH}"

set DELIM=
if ( "X${LD_LIBRARY_PATH}" != "X" ) then
    set DELIM=:
endif

setenv LD_LIBRARY_PATH "${LCG_LOCATION}/lib${DELIM}${LD_LIBRARY_PATH}"

# PYTHONPATH
# 
# if ( $?PYTHONPATH ) then
#     setenv PYTHONPATH `echo "${PYTHONPATH}" | sed -e "s%:${LCG_LOCATION}[^:]*%%g" -e "s%^${LCG_LOCATION}[^:]*:\{0,1\}%%"`
# else
#     setenv PYTHONPATH
# endif
#
# set DELIM=
# if ( "X${PYTHONPATH}" != "X" ) then
#     set DELIM=:
# endif
# setenv PYTHONPATH "${LCG_LOCATION}/lib:${LCG_LOCATION}/lib/python${DELIM}${PYTHONPATH}"

# MAN_PATH

# Clean up.
if ( $?MANPATH ) then
  setenv MANPATH `echo "$MANPATH" | sed -e "s%:${LCG_LOCATION}[^:]*%%g" -e "s%^${LCG_LOCATION}[^:]*:\{0,1\}%%"`
endif

# Add LCG man directory to MANPATH.
if (! $?MANPATH) then
 
  # If the MANPATH isn't set yet, add the LCG man directory.
  # Be sure the prepend a colon to force man to search standard
  # directories.
  setenv MANPATH ":${LCG_LOCATION}/share/man"
 
else
 
  # The path isn't empty.  Clean up will have removed existing paths.
  setenv MANPATH "${MANPATH}:${LCG_LOCATION}/share/man"
endif
