# This script is derived from the EDG script edg.sh 

LCG_SYSCONFIG=${LCG_SYSCONFIG:-/etc/sysconfig/lcg}

if [ -r "$LCG_SYSCONFIG" ]; then
  . $LCG_SYSCONFIG
fi

LCG_LOCATION=${LCG_LOCATION:-/opt/lcg}
export LCG_LOCATION

# Only export if defined in sysconfig file.
if [ -n "$LCG_LOCATION_VAR" ]; then
  export LCG_LOCATION_VAR
fi

LCG_TMP=${LCG_TMP:-/tmp}
export LCG_TMP


# The rest of this file sets up the variables for the LCG user environment.

# Clean the variables (first clean all put first position; second
# cleans up the first position). 

PATH=`echo "${PATH}" | sed -e "s%:${LCG_LOCATION}[^:]*%%g" \
                           -e "s%^${LCG_LOCATION}[^:]*:\{0,1\}%%g"`

LD_LIBRARY_PATH=`echo "${LD_LIBRARY_PATH}" | \
                   sed -e "s%:${LCG_LOCATION}[^:]*%%g"\
                       -e "s%^${LCG_LOCATION}[^:]*:\{0,1\}%%g"`

# PYTHONPATH=`echo "${PYTHONPATH}" | sed -e "s%:${LCG_LOCATION}[^:]*%%g" \
#                                       -e "s%^${LCG_LOCATION}[^:]*:\{0,1\}%%g"`

MANPATH=`echo "${MANPATH}" | sed -e "s%:${LCG_LOCATION}[^:]*%%g"\
                                 -e "s%^${LCG_LOCATION}[^:]*:\{0,1\}%%g"`

#PERLLIB=`echo "${PERLLIB}" | sed -e "s%:${LCG_LOCATION}[^:]*%%g" \
#                                 -e "s%^${LCG_LOCATION}[^:]*:\{0,1\}%%g"`

# PATH

# Add $LCG_LOCATION/sbin to root's path
if [ `id -u` = 0 ]; then
  PATH="${LCG_LOCATION}/sbin:${PATH}"
fi

# Temporary hack: put /usr/local/bin in PATH
# PATH="/usr/local/bin:${PATH}"

PATH="${LCG_LOCATION}/bin:${PATH}"

export PATH

# LD_LIBRARY_PATH

# Temporary hack: put /usr/local/lib in LD_LIBRARY_PATH
# DELIM=
# if [ -n "${LD_LIBRARY_PATH}" ]; then
#    DELIM=:
# fi
# LD_LIBRARY_PATH="/usr/local/lib${DELIM}${LD_LIBRARY_PATH}"

DELIM=
if [ -n "${LD_LIBRARY_PATH}" ]; then
    DELIM=:
fi
LD_LIBRARY_PATH="${LCG_LOCATION}/lib${DELIM}${LD_LIBRARY_PATH}"

export LD_LIBRARY_PATH

# PYTHONPATH
# 
# DELIM=
# if [ -n "${PYTHONPATH}" ]; then
#     DELIM=:
# fi
# PYTHONPATH="${LCG_LOCATION}/lib:${LCG_LOCATION}/lib/python${DELIM}${PYTHONPATH}"
# 
# export PYTHONPATH

# MANPATH

if [ -z "$MANPATH" ]; then
 
  # If the MANPATH isn't set yet, add the LCG man directory.
  # Be sure the prepend a colon to force man to search standard
  # directories.
  MANPATH=":${LCG_LOCATION}/share/man"
 
else
 
  # The path isn't empty. Append  the directory.  If it already existed,
  # then it was stripped out above. 
  MANPATH=${MANPATH}:${LCG_LOCATION}/share/man
fi

export MANPATH


# PERLLIB
# 
# DELIM=
# if [ -n "$PERLLIB" ]; then
#     DELIM=:
# fi
# PERLLIB="${LCG_LOCATION}/lib/perl${DELIM}${PERLLIB}"
# 
# export PERLLIB

