#!/bin/csh
#
# This script is derived from the EDG script z_edg_profile.csh
# 
# Initialize the environment with LCG-specific profile.d scripts.
#
# Note: this script should be run only after the top-level LCG profile.d
# script runs so that LCG_LOCATION and LCG_LOCATION_VAR are properly
# defined.  Moreoever, we guarantee that the Globus variables are also 
# initialized, so the Globus profile.d should also run before this. 
#
# Look first in LCG_LOCATION_VAR.  If it exists use only those scripts in
# that directory.  If not, move on to LCG_LOCATION. 
#

# List of files to source and list of basenames already in list.
set slist = ""
## set dlist = ""

# Look in LCG_LOCATION_VAR first.  Keep track of the base names to 
# exclude doing one setup twice. 
## if ($?LCG_LOCATION_VAR) then
##    if (-d ${LCG_LOCATION_VAR}/etc/profile.d) then 
##        foreach i (${LCG_LOCATION_VAR}/etc/profile.d/*.csh) 
##	    if ( -x ${i} ) then
##		set slist = "${slist} ${i}"
##		set dlist = "${dlist} `basename ${i}`"
##	    endif
##	end
##	unset i
##    endif
## endif

# Now look in normal LCG_LOCATION excluding those already done.
if ($?LCG_LOCATION) then
    if (-d ${LCG_LOCATION}/etc/profile.d) then 
	foreach i (${LCG_LOCATION}/etc/profile.d/*.csh) 
	    if ( -x ${i} ) then
		set bn = `basename ${i}`
		if ( "`echo ${slist} | grep ${bn}`" == "" ) then
		    set slist = "${slist} ${i}"
		endif
		unset bn
	    endif
	end
	unset i
    endif
endif

# Now that we have the directory actually source the files. 
foreach i (${slist})
    source ${i}
end
unset i

# Clean up.
unset slist
## unset dlist
