#!/bin/sh
# 
# This script is derived from the EDG script z_edg_profile.sh
#
# Initialize the environment with LCG-specific profile.d scripts.
#
# Note: this script should be run only after the top-level LCG profile.d
# script runs so that LCG_LOCATION and LCG_LOCATION_VAR are properly
# defined.  Moreoever, we guarantee that the Globus variables are also 
# initialized, so the Globus profile.d should also run before this. 
#
# Look first in LCG_LOCATION_VAR.  If it exists use only those scripts in
# that directory.  If not, move on to LCG_LOCATION. 
#

# Patch for zsh users.
if [ -n "$ZSH_NAME" ]; then
    setopt SH_WORD_SPLIT
fi


# List of files to source and list of basenames already in list.
slist=""
## dlist=""

# Look in LCG_LOCATION_VAR first.  Keep track of the base names to 
# exclude doing one setup twice. 
## if [ -n "${LCG_LOCATION_VAR}" -a -d ${LCG_LOCATION_VAR}/etc/profile.d ]; then
##    for i in ${LCG_LOCATION_VAR}/etc/profile.d/*.sh ; do
##        if [ -x ${i} ]; then
##            slist=${slist}" "${i}
##	    dlist=${dlist}" "`basename ${i}`
##        fi
##    done
##    unset i
## fi

# Now look in normal LCG_LOCATION excluding those already done.
if [ -n "${LCG_LOCATION}" -a -d ${LCG_LOCATION}/etc/profile.d ]; then
    for i in ${LCG_LOCATION}/etc/profile.d/*.sh ; do
        if [ -x ${i} ]; then
	    bn=`basename ${i}`
	    if [ -z "`echo ${slist} | grep ${bn}`" ]; then
              slist=${slist}" "${i}
	    fi
            unset bn
        fi
    done
    unset i
fi

# Now source the complete list of files. 
for i in ${slist} ; do
    . ${i}
done
unset i

# Clean up.
unset slist
## unset dlist
